<template>
  <div class="main-content stats-page">
    <h1 class="stats-page-header">
      <b>Анализ</b>
      <br />количества детей <br />в частных домовладениях, <br />по
      национальности
    </h1>

    <div class="stats-page-content">
      <p>
        С другой стороны начало повседневной работы по формированию позиции
        обеспечивает широкому кругу (специалистов) участие в формировании
        существенных финансовых и административных условий. Идейные соображения
        высшего порядка, а также укрепление и развитие структуры способствует
        подготовки и реализации новых предложений.
      </p>
      <p>
        Идейные соображения высшего порядка, а также новая модель
        организационной деятельности позволяет оценить значение системы обучения
        кадров, соответствует насущным потребностям.
      </p>
      <p>
        Значимость этих проблем настолько очевидна, что постоянный
        количественный рост и сфера нашей активности в значительной степени
        обуславливает создание системы обучения кадров, соответствует насущным
        потребностям. Не следует, однако забывать, что рамки и место обучения
        кадров требуют от нас анализа систем массового участия.
      </p>

      <h2>Статистика</h2>
      <div class="stats-page-diagram-block">
        <div class="first-column">
          <div class="diagram-card">
            <div class="diagram-card-heading">
              <div>
                Среднее количество детей
                <br />на 1000 женщин
              </div>
              <div>Показать: за последние 10 лет</div>
            </div>
            <div class="diagram-card-content">
              <bar-chart
                :series="series"
                :categorys="categorys"
                :mouse-move-event="mouseMoveEvent"
              />
            </div>
          </div>
        </div>
        <div>
          <div class="diagram-card">
            <div class="diagram-card-heading">
              Количесьво детей
              <br />у одной жешщины
            </div>
            <div class="diagram-card-content">
              <radar-chart :labels="radarLabels" :series="radarSeries" />
            </div>
          </div>
        </div>
      </div>

      <p>
        С другой стороны начало повседневной работы по формированию позиции
        обеспечивает широкому кругу (специалистов) участие в формировании
        существенных финансовых и административных условий. Идейные соображения
        высшего порядка, а также укрепление и развитие структуры способствует
        подготовки и реализации новых предложений.
      </p>
      <p>
        Идейные соображения высшего порядка, а также новая модель
        организационной деятельности позволяет оценить значение системы обучения
        кадров, соответствует насущным потребностям.
      </p>
      <p>
        Значимость этих проблем настолько очевидна, что постоянный
        количественный рост и сфера нашей активности в значительной степени
        обуславливает создание системы обучения кадров, соответствует насущным
        потребностям. Не следует, однако забывать, что рамки и место обучения
        кадров требуют от нас анализа систем массового участия.
      </p>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import BarChart from "@/components/charts/BarChart.vue";
import RadarChart from "@/components/charts/RadarChart.vue";
import rest from "@/rest";
import _ from "lodash";

@Component({
  components: { BarChart, RadarChart }
})
export default class StatsPage extends Vue {
  childsData: any = [];
  selectSerie: any = 0;

  get series() {
    return [
      {
        name: "Детей на 1000 женщин",
        data: _.map(this.childsData, "avg_children_on_thousand")
      }
    ];
  }

  get radarLabels() {
    return ["0", "1", "2", "3", "4", "5", "6", ">7"];
  }

  get radarSeries() {
    let data = this.childsData[this.selectSerie];
    return [
      {
        name: "Количество детей",
        data: [
          data.children_count_0,
          data.children_count_1,
          data.children_count_2,
          data.children_count_3,
          data.children_count_4,
          data.children_count_5,
          data.children_count_6,
          data.children_count_7_and_more
        ]
      }
    ];
  }

  mouseMoveEvent(option: any) {
    this.selectSerie = option.dataPointIndex > -1 ? option.dataPointIndex : 0;
  }

  get categorys() {
    return _.map(this.childsData, "nation");
  }

  mounted() {
    rest.top_avg_children_by_nation
      .get()
      .then((result: any) => {
        this.childsData = result.data.slice(0, 15);
      })
      .catch((err: any) => {});
  }
}
</script>
